#!/bin/sh

# Set Variables 
XF86_LIB_DIR="/usr/lib64/xorg/modules"
XF86_DRV_DIR="/usr/lib64/xorg/modules/drivers"
cmd_sudo=""
test -e /usr/bin/sudo && cmd_sudo="sudo"

# Uninstall
if [ "$1" = "uninstall" ]; then
echo "AST2000/2100 Linux XORG 7.6 driver uninstall begin ...."
$cmd_sudo rm -f $XF86_DRV_DIR/ast_drv.*

test -e ./backup/ast_drv.so && $cmd_sudo cp -f ./backup/ast_drv.*   $XF86_DRV_DIR/ast_drv.*

$cmd_sudo rm -rf ./backup
echo "AST2000/2100 Linux XORG 7.6 driver Uninstall Finished"
exit 0
fi

# Install
echo "AST2000/2100 Linux XORG 7.6 driver update begin ...."
$cmd_sudo rm -rf ./backup
$cmd_sudo mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.so && $cmd_sudo cp -f $XF86_DRV_DIR/ast_drv.* ./backup

$cmd_sudo rm -f $XF86_DRV_DIR/ast_drv.*

$cmd_sudo cp -f ast_drv.*   $XF86_DRV_DIR

echo "AST2000/2100 Linux XORG 7.6 driver update finished"

